تثبيت محرر

قم بتثبيت محرر (editor):

يمكنك إنشاء تطبيقات باستخدام Flutter باستخدام أي محرر نصوص مدمج مع command-line tools الخاصة بنا. ومع ذلك ، فإننا نوصي باستخدام مكونات المحرر الاضافية editor plugins)) الخاصة بنا للحصول على تجربة أفضل. توفر لك هذه المكونات الإضافية كلا من الميزات التالية: إكمال التعليمات البرمجية (code completion) ، وإبراز البنية (syntax highlighting) ، ومساعدات تحرير الـ Widgets (widget editing assists) ، كما توفر دعما لعمليات التشغيل وتصحيح الاخطاء (run & debug) والمزيد.

اتبع الخطوات أدناه لإضافة (editor plugin) لأحد المحررات التالية Android Studio أو IntelliJ أو VS Code أو Emacs. إذا كنت تريد استخدام محرر مختلف ، فلا بأس بذلك ، فقم بالانتقال إلى الخطوة التالية: Test drive.

Android Studio and IntelliJ:

تثبيتAndroid Studio :

يقدم Android Studio بيئة تطوير متميزة ومتكاملة لـ Flutter.

كما يمكنك أيضًا استخدام IntelliJ:

قم بتثبيت إضافات Flutter و Dart (Flutter and Dart plugins):

تعليمات التثبيت تختلف حسب نظام التشغيل المستخدم :

  • نظام تشغيل Mac:

استخدم الإرشادات التالية ضمن نظام التشغيل macOS:

    • قم بتشغيل Android Studio.
    • افتح الخيار التالي plugin preferences أو (Configure > Plugins ضمن الإصدار v3.6.3.0 أو أحدث).
    • اختر Flutter plugin واضغط تثبيت.
    • انقر فوق “نعم” عندما يُطلب منك تثبيت Dart plugin.
    • انقر فوق ‘إعادة تشغيل المحرر’ (Restart) عندما يُطلب منك ذلك.
  • نظام تشغيل Linux or Windows.

استخدم الإرشادات التالية لنظام التشغيل Linux أو Windows:

    • افتح plugin prefrences من خلال (File > Settings > Plugins).
    • اختر Marketplace ثم اختر Flutter plugin ثم انقر على تثبيت.

تثبيت VS Code:

يعتبر VS Code محررا خفيفا (lightweight editor) قادر على تشغيل وتصحيح أخطاء (debug) تطيبقات Flutter.

  • قم بتثبيت الإصدار الأخير المستقر VS Code .

تثبيت Flutter and Dart plugins:

  1. قم بتشغيل VS Code.
  2. اضغط على View > Command Palette…
  3. اكتب ‘install’ واختر Extensions: Install Extensions.
  4. اكتب ‘ flutter’ ضمن مربع البحث عم ال Extensions ، ثم اختر Flutter من القائمة واضغط على تثبيت. يؤدي هذا أيضًا إلى تثبيت Dart plugins المطلوب.

تحقق من صحة عملية الاعداد التي قمت بها من خلال Flutter Doctor كما يلي:

  1. اضغط على View > Command Palette…
  2. اكتب ‘doctor’ واختر Flutter: Run Flutter Doctor.
  3. راجع الoutput في جزء الoutput pane ضمن vscode وتحقق من عدم وجود أي مشكلة. تأكد من تحديد Flutter من القائمة المنسدلة في خيارات الoutput pane.

تثبيت Emacs:

يعتبر Emacs محررا خفيفا (lightweight editor) قادر على تشغيل وتصحيح أخطاء (debug) تطيبقات Flutter.

  • قم بتثبيت الإصدار الأخير المستقر Emacs .

تثبيت حزمة lsp-dart:

للحصول على معلومات حول كيفية تثبيت الحزمة واستخدامها ، راجع توثيق lsp-dart.

 

اترك تعليقًا

لن يتم نشر عنوان بريدك الإلكتروني. الحقول الإلزامية مشار إليها بـ *

arAR